﻿using EDPlayerJournal.Entries;

namespace EDPlayerJournal.BGS;

public class MeritsGained : Transaction {
    public MeritsGained() { }

    public MeritsGained(Entry entry) {
        Entries.Add(entry);
    }

    /// <summary>
    /// Number of merits gained
    /// </summary>
    public long Merits { get; set; } = 0;

    /// <summary>
    /// For what power those merits were gained
    /// </summary>
    public string Power { get; set; } = string.Empty;

    public override string ToString() {
        return string.Format("{0} Merits gained for {1}", Merits, Power);
    }
}
